#!/bin/sh
openssl req -newkey rsa:1024 -sha1 -keyout certs/clientkey.pem -out certs/clientreq.pem \
  -nodes -config ./client.cnf -days 365 -batch
openssl x509 -req -in certs/clientreq.pem -sha1 -extfile ./client.cnf \
  -extensions usr_cert -CA certs/root.pem -CAkey certs/rootkey.pem -CAcreateserial \
  -out certs/clientcert.pem -days 365
cat certs/clientcert.pem certs/root.pem > certs/client.pem
openssl x509 -subject -issuer -noout -in certs/client.pem
