#!/bin/sh
openssl req -newkey rsa:1024 -keyout certs/serverkey.pem -out certs/serverreq.pem \
   -config ./server.cnf -nodes -days 365 -batch
openssl x509 -req -in certs/serverreq.pem -sha1 -extfile ./server.cnf \
   -extensions usr_cert -CA certs/root.pem -CAkey certs/rootkey.pem -CAcreateserial \
   -out certs/servercert.pem -days 365
cat certs/servercert.pem certs/root.pem > certs/server.pem
openssl x509 -subject -issuer -noout -in certs/server.pem
